Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1
Class CancelledAdmissionType

    java.lang.Object
      be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.CancelledAdmissionType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:47+01:00",
               comments="JAXB RI v2.2.11")
    public class CancelledAdmissionType

extends Object
implements Serializable

Gegevens over de geannuleerde opname. Dit betreft de opname zelf, de periodes woongelegenheid en de eventueel periodes tijdelijke afwezigheid.

Java class for CancelledAdmissionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CancelledAdmissionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CancelledAdmissionVSBReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}VSBReferenceType"/>
             <element name="CancelledBedPeriodList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}CancelledBedPeriodListType"/>
             <element name="CancelledTemporaryAbsenceList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}CancelledTemporaryAbsenceListType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CancelledAdmissionType()`

Method Summary
`String` | `getCancelledAdmissionVSBReference()` Gets the value of the cancelledAdmissionVSBReference property.
`CancelledBedPeriodListType` | `getCancelledBedPeriodList()` Gets the value of the cancelledBedPeriodList property.
`CancelledTemporaryAbsenceListType` | `getCancelledTemporaryAbsenceList()` Gets the value of the cancelledTemporaryAbsenceList property.
`void` | `setCancelledAdmissionVSBReference(String value)` Sets the value of the cancelledAdmissionVSBReference property.
`void` | `setCancelledBedPeriodList(CancelledBedPeriodListType value)` Sets the value of the cancelledBedPeriodList property.
`void` | `setCancelledTemporaryAbsenceList(CancelledTemporaryAbsenceListType value)` Sets the value of the cancelledTemporaryAbsenceList property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CancelledAdmissionType

    public CancelledAdmissionType()

Method Detail

### getCancelledAdmissionVSBReference

    public String getCancelledAdmissionVSBReference()

  Gets the value of the cancelledAdmissionVSBReference property.

  Returns:
    possible object is `String`

### setCancelledAdmissionVSBReference

    public void setCancelledAdmissionVSBReference(String value)

  Sets the value of the cancelledAdmissionVSBReference property.

  Parameters:
    `value` - allowed object is `String`

### getCancelledBedPeriodList

    public CancelledBedPeriodListType getCancelledBedPeriodList()

  Gets the value of the cancelledBedPeriodList property.

  Returns:
    possible object is `CancelledBedPeriodListType`

### setCancelledBedPeriodList

    public void setCancelledBedPeriodList(CancelledBedPeriodListType value)

  Sets the value of the cancelledBedPeriodList property.

  Parameters:
    `value` - allowed object is `CancelledBedPeriodListType`

### getCancelledTemporaryAbsenceList

    public CancelledTemporaryAbsenceListType getCancelledTemporaryAbsenceList()

  Gets the value of the cancelledTemporaryAbsenceList property.

  Returns:
    possible object is `CancelledTemporaryAbsenceListType`

### setCancelledTemporaryAbsenceList

    public void setCancelledTemporaryAbsenceList(CancelledTemporaryAbsenceListType value)

  Sets the value of the cancelledTemporaryAbsenceList property.

  Parameters:
    `value` - allowed object is `CancelledTemporaryAbsenceListType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.